package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;

/**
 * @PackageName:com.muyu.domain
 * @ClassName:TaskInfo
 * @Description:  任务信息表
 * @author: ￥陈思豪￥
 * @date: 2024/8/22 16:32
 */
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName(value = "task_info",autoResultMap = true)
public class TaskInfo extends BaseEntity {


    /**
     * 主键
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Integer id;

    /**
     * 任务名称
     */
    private String name;

    /**
     * 任务优先级
     */
    private Integer weigh;

    /**
     * 任务状态
     */
    private Integer status;

    /**
     * 总处理条数
     */
    private Integer total;

    /**
     * 已处理条数
     */
    private Integer processTotal;

    /**
     * 错误条数
     */
    private Integer errorTotal;

    /**
     * 需执行次数
     */
    private Integer executeCount;

    /**
     * 已结束的执行次数
     */
    private Integer overCount;
}
