package com.muyu.controller;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.muyu.common.core.domain.Result;
import com.muyu.domain.TaskInputInfo;
import com.muyu.domain.resp.TaskInputInfoResp;
import com.muyu.mapper.TaskInputInfoMapper;
import com.muyu.service.TaskInputService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Arrays;
import java.util.List;


/**
 * @PackageName:com.muyu.controller
 * @ClassName:TaskInputInfoController
 * @Description:
 * @author: ￥陈思豪￥
 * @date: 2024/8/27 21:35
 */

@RestController
@RequestMapping("/taskInput")
public class TaskInputInfoController {

    @Autowired
    private TaskInputService taskInputService;

    @Autowired
    private TaskInputInfoMapper taskInputInfoMapper;

    @PostMapping(value = "addTaskInput")
    public Result<String> addTaskInput(@RequestBody TaskInputInfo taskInputInfo){
        return Result.success(null,taskInputService.addTaskInput(taskInputInfo));
    }

    @GetMapping(value = "findByNodeId/{nodeId}")
    public Result<TaskInputInfo> findByNodeId(@PathVariable("nodeId") String nodeId){
        return Result.success(taskInputService.findByNodeId(nodeId));
    }

    @PostMapping(value = "findById/{nodeId}")
    public Result<String> findById(@PathVariable("nodeId") String nodeId){
        LambdaQueryWrapper<TaskInputInfo> eq = new LambdaQueryWrapper<TaskInputInfo>().eq(TaskInputInfo::getNodeId, nodeId);
        TaskInputInfo taskInputInfo = taskInputInfoMapper.selectOne(eq);
        String tableField = taskInputInfo.getTableField();
        List<String> list = Arrays.asList(tableField);
        System.out.println(list);
        return Result.success();
    }



}
