package com.muyu.service.impl;

import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.domain.Structure;
import com.muyu.domain.TaskInputInfo;
import com.muyu.domain.resp.TaskInputInfoResp;
import com.muyu.mapper.TaskInputInfoMapper;
import com.muyu.service.TaskInputService;
import org.jetbrains.annotations.NotNull;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.Iterator;
import java.util.List;

/**
 * @PackageName:com.muyu.service.impl
 * @ClassName:TaskInputServOceanServiceImpl
 * @Description:
 * @author: ￥陈思豪￥
 * @date: 2024/8/27 21:37
 */
@Service
public class TaskInputInfoServiceImpl extends ServiceImpl<TaskInputInfoMapper, TaskInputInfo> implements TaskInputService {

    @Autowired
    private TaskInputInfoMapper taskInputInfoMapper;

    @Override
    public String addTaskInput(TaskInputInfo taskInputInfo) {
        int i = taskInputInfoMapper.insert(taskInputInfo);
        if(i<=0){
            throw new RuntimeException("添加失败");
        }
        return "添加成功";
    }

    @Override
    public TaskInputInfo findByNodeId(String nodeId) {
        LambdaQueryWrapper<TaskInputInfo> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(TaskInputInfo::getNodeId, nodeId);
        return taskInputInfoMapper.selectOne(queryWrapper);
    }
}
